App\Library\Amazon\Classes\BedAndBath\VariationDataAType:
    properties:
        variationTheme:
            expose: true
            access_type: public_method
            serialized_name: VariationTheme
            accessor:
                getter: getVariationTheme
                setter: setVariationTheme
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        scent:
            expose: true
            access_type: public_method
            serialized_name: Scent
            accessor:
                getter: getScent
                setter: setScent
            type: string
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        customerPackageType:
            expose: true
            access_type: public_method
            serialized_name: CustomerPackageType
            accessor:
                getter: getCustomerPackageType
                setter: setCustomerPackageType
            type: string
